---
title: VA History
description: List all transactions against a virtual account based on search criteria.
---

This API will list all transactions against virtual account based on search criteria. We must pass merchant id, page numbers to retrieve, limit: no of records to retrieve, transaction id, virtual account no or UID in request, in response you get the details like date time, amount, payment mode, status and customer details based on transaction id.

#### POST

```
https://kraken.airpay.co.in/airpay/va/api/
```

## Header

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| Content-Type  required | String | application/x-www-form-urlencoded |

## Request Body

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| action  required | String | Action to perform - history | `history` |
| private_key  required | Alphanumeric  (10-200) | Private Keyhash('sha256', @secretkey:username|:password) | `71a4efaf21c79864ec154babfc494f45fd1f65a570805084965d5b29486f1dfe` |
| merchant_id  required | Numeric | Merchant Id | `1` |
| page  required | Numeric | Page number to retrieve the history | `1` |
| limit  required | Numeric | No of records to retrieve from teh history | `10` |
| transaction_id  required | Numeric | Transaction ID |
| virtual_account_number  required | Numeric | Virtual account number or UID Unique user identifier from the merchant is required | `2293640000000010242` |
| UID  required | Numeric | Virtual account number or UID Unique user identifier from the merchant is required |
| checksum  required | Alphanumeric | Hash generated by : sha1(virtual_account_number.transaction_id.page.limit.UID.action.merchant_id.private_key) | `b14bf8fc556f42cf83f9233b7caec1f14bd21795` |

## Success 200

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| STATUS  required | Number | Status CodeSuccess - 200 Transaction is successTransaction in Process - 211 Transaction in processingFailed - 400 Transaction in failedDropped - 401 The transaction will not register properlyCancel - 402 payment that has not yet been processedIncomplete - 403 Not recieved any call back from bankBounced - 405 The transaction has bouncedNo Records - 503 There is no records foundNo records to display - 167 There is no records found | `200,400` |
| MESSAGE  required | String | Status MessageSuccess - 200 Transaction is successTransaction in Process - 211 Transaction in processingFailed - 400 Transaction in failedDropped - 401 The transaction will not register properlyCancel - 402 payment that has not yet been processedIncomplete - 403 Not recieved any call back from bankBounced - 405 The transaction has bouncedNo Records - 503 There is no records foundNo records to display - 167 There is no records found | `success,Failed` |
| records  required | Json | Data records, which containstransaction_id - Transaction idprofile_id - Merchant IDtransaction_date_time - Transaction date and timevirtual_account - Virtual account numberamount - Amountpayment_mode - Payment modestatus - Statuscustomer_name - Customer namecustomer_email - Customer emailcustomer_mobile - Customer mobile |

## Request Example

```
curl --location --request POST 'https://kraken.airpay.co.in/airpay/va/api/' \
--form 'action=history' \
--form 'private_key=71a4efaf21c79864ec154babfc494f45fd1f65a570805084965d5b29486f1dfe' \
--form 'merchant_id=1' \
--form 'page=1' \
--form 'limit=10' \
--form 'virtual_account_number=2293640000000010242' \
--form 'checksum=b14bf8fc556f42cf83f9233b7caec1f14bd21795'
```

### Success Response

```json
HTTP/1.1 200 OK
{
     "STATUS": "200",
     "MESSAGE": "Success",
     "RECORDS": [{
                     "TRANSACTION_ID": "123456",
                     "PROFILE_ID": "1",
                     "TRANSACTION_DATE_TIME": "1610524558",
                     "VIRTUAL_ACCOUNT": "6546797546469",
                     "AMOUNT": "1.00",
                     "PAYMENT_MODE": "va",
                     "STATUS": "SUCCESS",
                     "CUSTOMER_NAME": "Prathamesh",
                     "CUSTOMER_EMAI": "consultant.prathamesh@airpay.co.in",
                     "CUSTOMER_MOBILE": "7208246368
                 }]
}
```

### Error Response

```json
{
    "STATUS": "400",
    "MESSAGE": "Failed"
}
```